package com.iarkdata.bigdata.common;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.nio.file.Files;

public final class IOUtils {
    private static final String CLASSPATH_PREFIX = "classpath:";
    private static final int CLASSPATH_BEGIN_INDEX = 10;

    private IOUtils() {

    }

    public static InputStream loadFile(String path) throws IOException {
        if (path.startsWith(CLASSPATH_PREFIX)) {
            path = path.substring(CLASSPATH_BEGIN_INDEX);
            ClassLoader classLoader = IOUtils.class.getClassLoader();
            return classLoader.getResourceAsStream(path);
        } else {
            File file = new File(path);
            return Files.newInputStream(file.toPath());
        }
    }
}
